Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QUuid.Version

    java.lang.Object
      java.lang.Enum<QUuid.Version>
          com.trolltech.qt.core.QUuid.Version

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QUuid.Version>

Enclosing class:
  QUuid

    public static enum QUuid.Version

extends java.lang.Enum<QUuid.Version>
implements QtEnumerator

This enum defines the version of the UUID.

Enum Constant Summary
`EmbeddedPOSIX` DCE Security version, with embedded POSIX UUIDs
`Name` Name-based, by using values from a name for all sections
`Random` Random-based, by using random numbers for all sections
`Time` Time-based, by using timestamp, clock sequence, and MAC network card address (if available) for the node sections
`VerUnknown` Version is unknown

Method Summary
`static QUuid.Version` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QUuid.Version` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QUuid.Version[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VerUnknown

    public static final QUuid.Version VerUnknown

  Version is unknown

### Time

    public static final QUuid.Version Time

  Time-based, by using timestamp, clock sequence, and MAC network card address (if available) for the node sections

### EmbeddedPOSIX

    public static final QUuid.Version EmbeddedPOSIX

  DCE Security version, with embedded POSIX UUIDs

### Name

    public static final QUuid.Version Name

  Name-based, by using values from a name for all sections

### Random

    public static final QUuid.Version Random

  Random-based, by using random numbers for all sections

Method Detail

### values

    public static final QUuid.Version[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QUuid.Version c : QUuid.Version.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QUuid.Version valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QUuid.Version resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD